La première précaution consiste à vérifier qu'on a la dernière version du noyau et que les paquets sont mis à jour:

sudo apt-get update
sudo apt-get upgrade
sudo apt-get clean

Ensuite, il faut installer des paquets et en enlever d'autres, surtout si vous avez tenté d'installer les drivers ATI sans succès:

sudo apt-get install dh-make dh-modaliases execstack libqtgui4
sudo apt-get remove --purge fglrx fglrx-amdcccle

On reboote.

ATI_Radeon_Logo.jpgEnfin, télécharger les drivers propriétaires sur le site d'ATI :
http://support.amd.com/fr/gpudownload/Pages/index.aspx

  • Etape 1: Desktop Graphics
  • Etape 2: Radeon HD Series
  • Etape 3: Radeon HD 5xxx Series PCIe
  • Etape 4: Linux x86_64
  • Etape 5: Affichage des résultats

A l'heure où j'écris ce billet, on nous propose la version stable AMD Catalyst™ 13.1 Proprietary Linux x86 Display Driver ou la 13.2-beta3. J'ai opté pour la version stable.

On déplace le fichier téléchargé (amd-catalyst-13.1-linux-x86_64.zip) dans un dossier temporaire On le dézippe, puis on rend le paquet exécutable avec un chmod +x:

unzip amd-catalyst-13.1-linux-x86_64.zip
chmod +x amd-driver-installer-catalyst-13.1-linux-x86.x86_64.run

Pour finir, on lance l’exécution du paquet:

sh ./amd-driver-installer-catalyst-13.1-linux-x86.x86_64.run

Attention, on peut se heurter à un problème d'installation. Il faut alors éditer le fichier log :

gedit /usr/share/ati/fglrx-install.log

Pour ma part, j'ai eu droit au message : fglrx installation requires that the system have kernel headers. /lib/modules/3.5.0-17-generic/build/include/linux/version.h

Bien qu'ayant déjà installé la version 3.5.0-23, j'ai du installer linux-headers-3.5.0-17-generic directement dans le gestionnaire de paquets Synaptic. Puis J'ai relancé l'installation par:

sh ./amd-driver-installer-catalyst-13.1-linux-x86.x86_64.run

Cette fois aucune erreur.

Pour finir, reboot du pc et le ventilateur de la carte video se calme enfin. La carte est enfin gérée !

ATTENTION ! Vous risquez fort de devoir refaire l'opération à chaque changement de noyau. Dans ce cas, un sh ./amd-driver-installer-catalyst-13.1-linux-x86.x86_64.run --force peut vous permettre de ne pas refaire l'ensemble de la procédure.



Edit du 18 mai 2013 : Ubuntu 13.04 64bits

Lors de l'upgrade vers Ubuntu 13.04, il faut aller chercher la dernière version de Catalyst. La 13.1 ne veut plus rien savoir, c'est la 13.4 qui a marché pour moi (amd-catalyst-13.4-linux-x86.x86_64.run)


Edit du 24 novembre 2013 : Ubuntu 13.10 64bits

Lors de l'upgrade vers Ubuntu 13.10 64bits, au 24 novembre 2013, j'ai du prendre la version 13.20.16 en version bêta :
http://www2.ati.com/drivers/beta/amd-catalyst-13.11-betav1-linux-x86.x86_64.zip.

Cette version n'affiche plus le logo "version bêta". Merci AMD !


Edit du 16 mars 2014 :

Reconfigurer automatiquement xorg.conf :
sudo aticonfig --initial -f


Edit du 26 mars 2014

Sous Mate (Mint) : il faut aller dans Menu / Centre de Contrôle
puis cliquer sur Paramètres du bureau
puis Fenêtres et cocher Utiliser le compositing